import { OnInit } from '@angular/core';
import { NzMessageService } from 'ng-zorro-antd/message';
import { TranslateService } from '@ngx-translate/core';
import { ApiResourceVO } from '../vo/api-resource.vo';
export declare class IdentityApiResourceComponent implements OnInit {
    private nzMessageService;
    private translateService;
    apiResources: Array<ApiResourceVO>;
    apiResourcesFetching: boolean;
    identityApiResourceCreateComponentProp: {
        visible: boolean;
    };
    identityApiResourceUpdateComponentProp: {
        visible: boolean;
        apiResource: ApiResourceVO;
    };
    constructor(nzMessageService: NzMessageService, translateService: TranslateService);
    deleteApiResource(item: ApiResourceVO): void;
    fetchApiResources(): void;
    handleIdentityApiResourceCreateComponentOk(): void;
    handleIdentityApiResourceUpdateComponentOk(): void;
    ngOnInit(): void;
    openIdentityApiResourceCreateComponent(): void;
    openIdentityApiResourceUpdateComponent(item: ApiResourceVO): void;
}
